Loading...
Searching...
No Matches
Opm::ImplicitTransportDefault::MatrixBlockAssembler< ISTLTypeDetails::ScalarBCRSMatrix > Class Reference

## Public Member Functions

template<class Block>
void | assembleBlock (size_t ndof, size_t i, size_t j, const Block &b)
template<class Connections>
void | createBlockRow (size_t i, const Connections &conn, size_t ndof)
void | finalizeStructure ()
void | setSize (::std::size_t ndof, ::std::size_t nrow, ::std::size_t ncol, ::std::size_t nnz=0)
const ISTLTypeDetails::ScalarBCRSMatrix & | matrix () const
ISTLTypeDetails::ScalarBCRSMatrix & | matrix ()

The documentation for this class was generated from the following file:

- opm/porsol/common/BCRSMatrixBlockAssembler.hpp